/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class OrganisationsEinheitListE2EComponent {
  private readonly root: string = 'organisations-einheit-list';

  public getRoot(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.root);
  }

  public getListItem(name: string): OrganisationsEinheitListItemE2EComponent {
    return new OrganisationsEinheitListItemE2EComponent(name);
  }
}

export class OrganisationsEinheitListItemE2EComponent {
  private root: string;

  private readonly organisationsEinheitItemSuffix: string = '-organisation-item';
  private readonly deleteButton: string = 'delete-button';

  constructor(name: string) {
    this.root = name;
  }

  public getRoot(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.root + this.organisationsEinheitItemSuffix);
  }

  public getDeleteButton(): Cypress.Chainable<Element> {
    return this.getRoot().findTestElementWithClass(this.deleteButton);
  }
}

export class OrganisationsEinheitDeleteDialogE2EComponent {
  private readonly root: string = 'organisations-einheit-delete-dialog';

  private readonly deleteButton: string = 'dialog-delete-button';
  private readonly cancelButton: string = 'dialog-cancel-button';

  public getRoot(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.root);
  }

  public getDeleteButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.deleteButton);
  }

  public getCancelButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.cancelButton);
  }
}
