import { AggregationMapping, FieldMapping } from '@admin-client/reporting-shared';
import { AggregationMappingFormE2EComponent } from '../../components/aggregation-mapping/aggregation-mapping-form.e2e.component';
import { enterWith } from '../../support/cypress.util';

export class E2EAggregationMappingExecutor {
  private formComponent: AggregationMappingFormE2EComponent = new AggregationMappingFormE2EComponent();

  public fillFormular(aggregationMapping: AggregationMapping): void {
    enterWith(this.formComponent.getNameInput(), aggregationMapping.name);
    enterWith(this.formComponent.getFormEngineInput(), aggregationMapping.formIdentifier.formEngineName);
    enterWith(this.formComponent.getFormIdInput(), aggregationMapping.formIdentifier.formId);

    aggregationMapping.mappings.forEach((fieldMapping, index) => {
      this.enterFieldMapping(fieldMapping, index);
    });
  }

  private enterFieldMapping(fieldMapping: FieldMapping, index: number): void {
    enterWith(this.formComponent.getSourceMappingFieldInput(index), fieldMapping.sourcePath);
    enterWith(this.formComponent.getTargetMappingFieldInput(index), fieldMapping.targetPath);
  }
}
