import { AttachmentContainerE2EComponent } from '../../components/attachment/attachment.e2e.component';
import { readFileFromDownloads } from '../../support/cypress-helper';
import { exist, notExist } from '../../support/cypress.util';

export class E2EAttachmentVerifier {
  private readonly attachmentContainer: AttachmentContainerE2EComponent = new AttachmentContainerE2EComponent();

  public verifyAttachmentsInList(filesNames: string[]): void {
    filesNames.forEach((filesName: string) => this.verifyAttachmentInList(filesName));
  }

  public verifyAttachmentInList(filesName: string): void {
    exist(this.attachmentContainer.getList().getItem(filesName).getRoot());
  }

  public verifyAttachmentNotInList(filesName: string): void {
    notExist(this.attachmentContainer.getList().getItem(filesName).getRoot());
  }

  public verifyAttachmentDownload(fileName: string): void {
    exist(readFileFromDownloads(fileName));
  }
}
