import { ConfigurationResource, ConfigurationService } from '@admin-client/configuration-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, inject, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { MenuComponent } from './menu/menu.component';

@Component({
  selector: 'admin-menu-container',
  standalone: true,
  imports: [CommonModule, MenuComponent],
  templateUrl: './menu-container.component.html',
})
export class MenuContainerComponent implements OnInit {
  private readonly configurationService = inject(ConfigurationService);

  public configurationStateResource$: Observable<StateResource<ConfigurationResource>>;

  ngOnInit(): void {
    this.configurationStateResource$ = this.configurationService.get();
  }
}
