import {
  ErrorRepresentation,
  KeycloakErrorMessage,
  KeycloakFieldName,
  KeycloakHttpErrorResponse,
} from '../lib/keycloak-error.model';

export function createErrorRepresentation(): ErrorRepresentation {
  return {
    field: KeycloakFieldName.USERNAME,
    errorMessage: KeycloakErrorMessage.USERNAME_EXISTS,
    params: [],
  };
}

export function createKeycloakHttpErrorResponse(): KeycloakHttpErrorResponse {
  return {
    response: {
      status: 400,
    },
    responseData: createErrorRepresentation(),
  };
}
