/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { createUser } from '../../test/user';
import { User } from './user.model';
import { sortUsersByLastName } from './user.util';

describe('user util', () => {
  describe('sort users by last name', () => {
    const users: User[] = [
      { ...createUser(), lastName: 'Müller' },
      { ...createUser(), lastName: 'Schmidt' },
      { ...createUser(), lastName: 'Anders' },
    ];

    it('shoud sort users by last name alphabetically ', () => {
      const sortedUsers: User[] = sortUsersByLastName(users);

      expect(sortedUsers[0].lastName).toBe('Anders');
      expect(sortedUsers[1].lastName).toBe('Müller');
      expect(sortedUsers[2].lastName).toBe('Schmidt');
    });
  });
});
