import { existsAsHtmlElement } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { createUserFormGroup } from '../../../../test/form';
import { UserFormDataComponent } from './user-form-data.component';

describe('UserFormDataComponent', () => {
  let component: UserFormDataComponent;
  let fixture: ComponentFixture<UserFormDataComponent>;

  const userNameInfoSelector: string = getDataTestIdOf('user-name-info');
  const userNameEditorSelector: string = getDataTestIdOf('user-name-editor');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [UserFormDataComponent, ReactiveFormsModule],
    }).compileComponents();

    fixture = TestBed.createComponent(UserFormDataComponent);
    component = fixture.componentInstance;
    component.formGroupParent = createUserFormGroup();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('user name', () => {
      it('should show info', () => {
        component.isPatch = true;
        component.userName = 'ariane';

        fixture.detectChanges();

        existsAsHtmlElement(fixture, userNameInfoSelector);
      });

      it('should show editor', () => {
        component.isPatch = false;

        fixture.detectChanges();

        existsAsHtmlElement(fixture, userNameEditorSelector);
      });
    });
  });
});
