import type { Meta, StoryObj } from '@storybook/angular';

import { ArrowBackIconComponent } from './arrow-back-icon.component';

const meta: Meta<ArrowBackIconComponent> = {
  title: 'Icons/Arrow back icon',
  component: ArrowBackIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<ArrowBackIconComponent>;

export const Default: Story = {
  args: { size: 'large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'medium' },
      },
    },
  },
};
