import { ComponentFixture, TestBed } from '@angular/core/testing';

import { getMockComponent } from '@alfa-client/test-utils';
import { Anschrift, OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { ForwardingItemComponent, ForwardingItemInfoComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { createOrganisationsEinheitResource } from '../../../../../../zustaendige-stelle-shared/test/organisations-einheit';
import { ChangeButtonContainerComponent } from './change-button-container/change-button-container.component';
import { SelectedSearchItemComponent } from './selected-search-item.component';

describe('ForwardingSearchOrganisationsEinheitComponent', () => {
  let component: SelectedSearchItemComponent;
  let fixture: ComponentFixture<SelectedSearchItemComponent>;

  const organisationsEinheitResource: OrganisationsEinheitResource = createOrganisationsEinheitResource();
  const anschrift: Anschrift = organisationsEinheitResource.anschrift;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [SelectedSearchItemComponent],
      declarations: [
        MockComponent(ChangeButtonContainerComponent),
        MockComponent(ForwardingItemComponent),
        MockComponent(ForwardingItemInfoComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(SelectedSearchItemComponent);
    component = fixture.componentInstance;
    component.organisationsEinheitResource = organisationsEinheitResource;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('forwarding item info', () => {
    it('should exist with input', () => {
      const forwardingItemInfo: ForwardingItemInfoComponent = getMockComponent(fixture, ForwardingItemInfoComponent);

      expect(forwardingItemInfo.label).toBe(organisationsEinheitResource.name);
      expect(forwardingItemInfo.address).toBe(`${anschrift.strasse} ${anschrift.hausnummer}, ${anschrift.plz} ${anschrift.ort}`);
    });
  });
});
