/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { HttpErrorHandler } from '@alfa-client/tech-shared';
import { Mock, mock, useFromMock } from '@alfa-client/test-utils';
import { VorgangRepository } from './+state/vorgang.repository';
import { VorgangHttpErrorService } from './vorgang-http-error.service';
import { VorgangService } from './vorgang.service';

describe('VorgangHttpErrorService', () => {
  let service: VorgangHttpErrorService;
  let errorHandler: Mock<HttpErrorHandler> = mock(HttpErrorHandler);
  let vorgangService: Mock<VorgangService> = mock(VorgangService);

  beforeEach(() => {
    service = new VorgangHttpErrorService(useFromMock(errorHandler), useFromMock(vorgangService));
  });

  describe('register', () => {
    describe('getVorgang', () => {
      it('should call error handler', () => {
        service.register();

        expect(errorHandler.registerCustomHandling).toHaveBeenCalledWith(
          VorgangRepository.GET_VORGANG,
          expect.anything(),
        );
      });
    });
  });
});
