/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, OnInit } from '@angular/core';
import { ApiRootFacade, ApiRootResource } from '@alfa-client/api-root-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Observable } from 'rxjs';
import { VorgangFilterFormService } from './vorgang-filter-menu/vorgang-filter-menu.formservice';

@Component({
  selector: 'alfa-vorgang-filter-menu-container',
  templateUrl: './vorgang-filter-menu-container.component.html',
  styleUrls: ['./vorgang-filter-menu-container.component.scss'],
  providers: [VorgangFilterFormService],
})
export class VorgangFilterMenuContainerComponent implements OnInit {
  apiRootStateResource$: Observable<StateResource<ApiRootResource>>;

  constructor(private apiRootFacade: ApiRootFacade) {}

  ngOnInit(): void {
    this.apiRootStateResource$ = this.apiRootFacade.getApiRoot();
  }
}
